import * as React from 'react';

var _path, _path2, _g, _path3;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgMalaysia = function SvgMalaysia(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 64 48",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("mask", {
    id: "Malaysia_svg__a",
    width: 62,
    height: 46,
    x: 1,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path || (_path = /*#__PURE__*/React.createElement("path", {
    fill: "#D9D9D9",
    stroke: "#000",
    d: "M8 1.5h48A6.5 6.5 0 0 1 62.5 8v32a6.5 6.5 0 0 1-6.5 6.5H8A6.5 6.5 0 0 1 1.5 40V8A6.5 6.5 0 0 1 8 1.5Z"
  }))), /*#__PURE__*/React.createElement("g", {
    mask: "url(#Malaysia_svg__a)"
  }, /*#__PURE__*/React.createElement("mask", {
    id: "Malaysia_svg__b",
    width: 62,
    height: 46,
    x: 1,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "luminance"
    }
  }, _path2 || (_path2 = /*#__PURE__*/React.createElement("path", {
    fill: "#fff",
    d: "M1 1h62v46H1z"
  }))), _g || (_g = /*#__PURE__*/React.createElement("g", {
    mask: "url(#Malaysia_svg__b)"
  }, /*#__PURE__*/React.createElement("path", {
    fill: "#C00",
    d: "M1 1h62v46H1z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#C00",
    d: "M1 1h62v3.287H1z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#FFFFFE",
    d: "M1 4.287h62v3.287H1z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#C00",
    d: "M1 7.574h62v3.287H1z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#FFFFFE",
    d: "M1 10.861h62v3.268H1z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#C00",
    d: "M1 14.139h62v3.287H1z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#FFFFFE",
    d: "M1 17.426h62v3.287H1z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#C00",
    d: "M1 20.713h62V24H1z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#FFFFFE",
    d: "M1 24h62v3.287H1z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#C00",
    d: "M1 27.287h62v3.287H1z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#FFFFFE",
    d: "M1 30.574h62v3.287H1z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#C00",
    d: "M1 33.861h62v3.268H1z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#FFFFFE",
    d: "M1 37.139h62v3.287H1z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#C00",
    d: "M1 40.426h62v3.287H1z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#FFFFFE",
    d: "M1 43.713h62V47H1z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#006",
    d: "M1 1.048h31v26.287H1z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#FC0",
    d: "m21.102 8.072.58 3.9 2.229-3.258-1.201 3.757 3.439-1.993-2.722 2.875 3.971-.307-3.71 1.418 3.71 1.419-3.971-.307 2.722 2.875-3.44-1.993 1.192 3.766-2.228-3.268-.581 3.9-.572-3.9-2.228 3.258 1.201-3.756-3.438 1.993 2.712-2.875-3.972.307 3.72-1.419-3.71-1.418 3.972.307-2.722-2.875 3.439 1.993-1.202-3.766 2.228 3.268zm-3.226.163a6.95 6.95 0 0 0-6.554.513 6.84 6.84 0 0 0-2.3 2.464 6.76 6.76 0 0 0 0 6.505 6.84 6.84 0 0 0 2.3 2.464 6.955 6.955 0 0 0 6.553.512 7.822 7.822 0 0 1-8.06.594 7.7 7.7 0 0 1-3.071-2.826 7.6 7.6 0 0 1 .004-7.99 7.7 7.7 0 0 1 3.074-2.824 7.82 7.82 0 0 1 8.054.588"
  })))), _path3 || (_path3 = /*#__PURE__*/React.createElement("path", {
    fill: "#C3CDD5",
    fillRule: "evenodd",
    d: "M56 1H8a7 7 0 0 0-7 7v32a7 7 0 0 0 7 7h48a7 7 0 0 0 7-7V8a7 7 0 0 0-7-7M8 0a8 8 0 0 0-8 8v32a8 8 0 0 0 8 8h48a8 8 0 0 0 8-8V8a8 8 0 0 0-8-8z",
    clipRule: "evenodd"
  })));
};

export { SvgMalaysia as ReactComponent };
